#ifndef _JIDCHANGER_H
#define _JIDCHANGER_H

#include <iostream>
#include <fstream>
#include "calchash_func.h"

#include <iostream>
#include <string>
#include <unistd.h>

#include "sys/types.h"
#include "sys/stat.h"
#include "../jabberd/lib/lib.h"


/* #ifdef ap_snprintf */
/* #undef ap_snprintf */
/* #endif */

#define SUCCESS   0
#define FAILURE   1

#define FINDTEMP "find.temp"


class JidChangerClass {

 public:
  JidChangerClass();
  int RenameUser();
  int ChangeTransportFiles();
  int CopyUser();
  int CopyTransportFiles();

  int SetOldJid(string);
  int SetNewJid(string);

 private:

  void PrintString(char *);
  ifstream inUserFile;
  ifstream inFindFile;
  ofstream outUserFile;

  string userFileName;
  string oldJid;
  string newJid;
  string newUser;
  string oldUser;
  string newHost;
  string oldHost;

};
#endif
